package fip.configuration;

import fip.model.ForumFacade;
import fip.model.Utilisateur;
import jakarta.servlet.ServletContextEvent;
import jakarta.servlet.ServletContextListener;
import jakarta.servlet.annotation.WebListener;

/**
 * Filtre appelé lors du lancement de l'application : crée un objet forum, et le place
 * comme bean application. Simule une base de données !
 * @author rosmord
 */
@WebListener
public class ForumCreatorFilter implements ServletContextListener {
    

    @Override
    public void contextInitialized(ServletContextEvent sce) {
        ForumFacade forumFacade = new ForumFacade();
        // On crée quelques utilisateurs pour la suite
        forumFacade.saveUtilisateur(new Utilisateur("admin", "admin", "administrateur", true));
        forumFacade.saveUtilisateur(new Utilisateur("toto", "toto", "Toto"));
        forumFacade.saveUtilisateur(new Utilisateur("titi", "titi", "Titi"));

        // Pour les besoins de l'exercice, on ajoute quelques messages
        forumFacade.addMessage("premier message", "ceci est le texte du premier message");
        forumFacade.addMessage("second message", "ceci est le texte du second message");       
        forumFacade.addMessage("troisième message", "ceci est le texte du troisième message");    
        sce.getServletContext().setAttribute("forum", forumFacade);
    }

    @Override
    public void contextDestroyed(ServletContextEvent sce) {
        // Rien !
    }
}
