package fip.controle.login;

import java.io.IOException;

import fip.model.Utilisateur;
import fip.services.UtilisateurHelper;
import jakarta.servlet.ServletException;
import jakarta.servlet.annotation.WebServlet;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

/**
 *
 * @author rosmord
 */
@WebServlet(name = "Login", urlPatterns = {"/login"})
public class Login extends HttpServlet {
    private static final String LOGIN_JSP = "/WEB-INF/jsp/login.jsp";

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        req.getRequestDispatcher(LOGIN_JSP).forward(req, resp);
    }
 
    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        String login = req.getParameter("login");
        String password = req.getParameter("password");
        String next = req.getParameter("next");
        Utilisateur u = UtilisateurHelper.connectUtilisateur(req, login, password);
        if (u != null) {
            if (next != null && next.matches("[a-zA-Z0-9]+")) {
                resp.sendRedirect(req.getContextPath()+ "/"+next);
            } else {
                resp.sendRedirect(req.getContextPath());
            }
        } else {
            req.setAttribute("info", "login ou mot de passe incorrect(s)");
            req.setAttribute("nextPage", next);
            req.getRequestDispatcher(LOGIN_JSP).forward(req, resp);
        }
    }

}
