package fip.controle.message;

import java.io.IOException;

import fip.model.ForumFacade;
import fip.services.ForumHelper;
import jakarta.servlet.ServletException;
import jakarta.servlet.annotation.WebServlet;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

/**
 * AjouterMessageServlet
 */
@WebServlet("/message/add")
public class AjouterMessageServlet extends HttpServlet {

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {        
            req.getRequestDispatcher("/WEB-INF/jsp/message/add.jsp").forward(req, resp);        
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        // On récupère les données
        String titre = req.getParameter("title");
        String text = req.getParameter("text");
        // test erreurs
        if (titre == null || text == null || "".equals(titre) || "".equals(text)) {
            // si oui: affichage du formulaire
            req.setAttribute("erreur", "les champs ne doivent pas être vides");
            req.getRequestDispatcher("/WEB-INF/jsp/message/add.jsp").forward(req, resp);
        } else {
            // si non, création du message
            ForumFacade forumFacade = ForumHelper.getForum(req);
            int id = forumFacade.addMessage(titre, text);
            // redirection pour afficher le message dont on a l'ID.
            // Notez req.getContextPath() = nom de l'application.
            resp.sendRedirect(req.getContextPath() + "/message/voir?id=" + id);
        }
    }

}