package fip.services;

import fip.model.ForumFacade;
import fip.model.Utilisateur;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpSession;

/**
 * UtilisateurHelper
 */
public class UtilisateurHelper {

    public static Utilisateur connectUtilisateur(HttpServletRequest request, String login, String password) {
        ForumFacade f = ForumHelper.getForum(request);
        Utilisateur u = f.getUtilisateur(login);
        if (password.equals(u.getMotDePasse())) {
            request.getSession().setAttribute("utilisateur", u);
            return u;
        } else {
            return null;
        }
    }

    public static Utilisateur getCurrent(HttpServletRequest request) {
        if (request.getSession(false) == null) {
            return null;
        } else {
            HttpSession session = request.getSession();
            Utilisateur utilisateur = (Utilisateur) session.getAttribute("utilisateur");
            return utilisateur;
        }
    }

    public static boolean estConnecte(HttpServletRequest request) {
        return getCurrent(request) != null;
    }

    /**
     * Déconnecte l'utilisateur courant (s'il existe)
     */
    public static void deconnecte(HttpServletRequest request) {
        HttpSession session = request.getSession(false);
        if (session != null) {
            session.removeAttribute("utilisateur");
        }
    }

    /**
     * Vérifie si l'utilisateur connecté est administrateur.
     * 
     * @param request
     * @return
     */
    public static boolean estAdmin(HttpServletRequest request) {
        Utilisateur utilisateur = getCurrent(request);
        return (utilisateur != null && utilisateur.isAdmin());
    }

}